/*
  monitor.h - Declarations for CPLD monitor demo
              by Micromint Support <support@micromint.com>    Jan-2009
*/

#ifndef _MONITOR_H
#define _MONITOR_H

#include "inc/hw_types.h"
#include "inc/hw_memmap.h"
#include "inc/hw_gpio.h"
#include "inc/hw_ints.h"
#include "driverlib/gpio.h"
#include "driverlib/interrupt.h"
#include "driverlib/ssi.h"
#include "driverlib/sysctl.h"

#include "xio.h"

/* Monitor declarations */
#define MONITOR_PORT              XIO_RXA /* Monitor counter port */
#define MONITOR_LIMIT             XIO_RXB /* Monitor limit register */
#define MONITOR_CMD               XIO_RXC /* Monitor command register */

/* Interrupt declarations */
#define MONITOR_GPIO_BASE       GPIO_PORTA_BASE
#define MONITOR_INT_GPIO        INT_GPIOA
#define MONITOR_SYSCTL_PERIPH   SYSCTL_PERIPH_GPIOA
#define MONITOR_ALARM_PIN       GPIO_PIN_7

/* -------------------- Monitor functions -------------------- */
void MonitorInit(void);
unsigned long MonitorCountGet(void);
unsigned long MonitorCountSet(unsigned long);
unsigned long MonitorLimitGet(void);
unsigned long MonitorLimitSet(unsigned long);
unsigned long MonitorCommand(unsigned long);
void MonitorIntEnable(void);
void MonitorIntDisable(void);
void MonitorIntClear(void);

#endif /* _MONITOR_H */
