var gpio_port=['c', 'c', 'c', 'c', 'e', 'e', 'e', 'e'];
var gpio_pin=[7, 6, 5, 4, 3, 2, 1, 0];

function gpio_init()
{
  var i;

  for (i=0; i<=7; i++)
  {
    state_p(gpio_port[i], gpio_pin[i]);
  }
}

function adc_init()
{
  var i;

  // ADC updates are slower so do them on a separate loop
  for (i=0; i<=7; i++)
  {
    update_adc(i);
  }
}

function state_p(l,n)
{
  get_pin("state_p"+l+n.toString());
}

function toggle_p(l,n)
{
  run_script("toggle_p"+l+n.toString());
  get_pin("state_p"+l+n.toString());
}

function update_adc(n)
{
  get_pin("update_adc"+n.toString());
}

function get_pin(id)
{
  var pin = false;

  function pinComplete()
  {
    if (pin.readyState == 4)
    {
      if (pin.status == 200)
      {
        document.getElementById(id).innerHTML = "<div>" + pin.responseText + "</div>";
      }
    }
  }

  if (window.XMLHttpRequest)
  {
    pin = new XMLHttpRequest();
  } else if (window.ActiveXObject)
  {
    pin = new ActiveXObject("Microsoft.XMLHTTP");
  }

  if (pin)
  {
    pin.open("GET", "/" + id + "?id=" + Math.random(), true);
    pin.onreadystatechange = pinComplete;
    pin.send(null);
  }
}

function run_script(scr)
{
  var req = false;

  if (window.XMLHttpRequest)
  {
	req = new XMLHttpRequest();
  } else if (window.ActiveXObject)
  {
    req = new ActiveXObject("Microsoft.XMLHTTP");
  }

  if (req )
  {
    req.open("GET", "/" + scr + "?id" + Math.random(), true);
    req.send(null);
  }
}
