//*****************************************************************************
//
// io.h - Prototypes for I/O routines for the enet_io example.
//
// Copyright (c) 2007-2009 Luminary Micro, Inc.  All rights reserved.
// Software License Agreement
// 
// Luminary Micro, Inc. (LMI) is supplying this software for use solely and
// exclusively on LMI's microcontroller products.
// 
// The software is owned by LMI and/or its suppliers, and is protected under
// applicable copyright laws.  All rights are reserved.  You may not combine
// this software with "viral" open-source software in order to form a larger
// program.  Any use in violation of the foregoing restrictions may subject
// the user to criminal sanctions under applicable laws, as well as to civil
// liability for the breach of the terms and conditions of this license.
// 
// THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
// OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
// LMI SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
// 
// This is part of revision 4201 of the Micromint Eagle Firmware Package.
//
//*****************************************************************************

#ifndef __IO_H__
#define __IO_H__

#define NUM_ADCS         8
#define ADC_CTL_CH(c)    (ADC_CTL_CH0 + c)

#ifdef __cplusplus
extern "C"
{
#endif

void io_init(void);
void io_get_adcvalue(unsigned long pin, char * pcBuf, int iBufLen);
void io_get_adcvoltage(unsigned long pin, char * pcBuf, int iBufLen);

void io_set_port(unsigned long port, unsigned long pin, tBoolean bOn);
void io_get_portstate(unsigned long port, unsigned long pin, char * pcBuf, int iBufLen);
int io_is_port_on(unsigned long port, unsigned long pin);

void io_set_portc(unsigned long pin, tBoolean bOn);
void io_get_portcstate(unsigned long pin, char * pcBuf, int iBufLen);
int io_is_portc_on(unsigned long pin);

void io_set_porte(unsigned long pin, tBoolean bOn);
void io_get_portestate(unsigned long pin, char * pcBuf, int iBufLen);
int io_is_porte_on(unsigned long pin);

#ifdef __cplusplus
}
#endif

#endif // __IO_H__
