//*****************************************************************************
//
// upnp.h - Definitions for the UPnP interface.
//
// Copyright (c) 2008-2009 Luminary Micro, Inc.  All rights reserved.
// Software License Agreement
// 
// Luminary Micro, Inc. (LMI) is supplying this software for use solely and
// exclusively on LMI's microcontroller products.
// 
// The software is owned by LMI and/or its suppliers, and is protected under
// applicable copyright laws.  All rights are reserved.  You may not combine
// this software with "viral" open-source software in order to form a larger
// program.  Any use in violation of the foregoing restrictions may subject
// the user to criminal sanctions under applicable laws, as well as to civil
// liability for the breach of the terms and conditions of this license.
// 
// THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
// OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
// LMI SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
// 
// This is part of revision 4201 of the Micromint Eagle Firmware Package.
//
//*****************************************************************************

#ifndef __UPNP_H__
#define __UPNP_H__

//*****************************************************************************
//
// The amount of time between sending out UPnP Advertisements.
//
//*****************************************************************************
#define UPNP_ADVERTISEMENT_INTERVAL     (10 * 1000)

//*****************************************************************************
//
// API Function prototypes
//
//*****************************************************************************
extern void UPnPInit(void);
extern void UPnPStart(void);
extern void UPnPStop(void);
extern void UPnPHandler(unsigned long ulTimeMS);

#endif // __UPnP_H__
