/*
  jtag.h - JTAG declarations for the Micromint Eagle (Cortex-M3)
          by Micromint Support <support@micromint.com>    Aug-2008
*/

#ifndef _JTAG_H
#define _JTAG_H

#include "inc/hw_gpio.h"
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_sysctl.h"
#include "inc/hw_types.h"

#define PIN_7    0x80
#define PIN_6    0x40
#define PIN_5    0x20
#define PIN_4    0x10
#define PIN_3    0x08
#define PIN_2    0x04
#define PIN_1    0x02
#define PIN_0    0x01

/*
 Default debug mode is assumed to be SWD.
 Define OPT_DEBUG_JTAG when using JTAG mode for debug. PB7 will not be available
 */
//#define OPT_DEBUG_JTAG

/* API function declarations */

/* -------------------- JTAG functions -------------------- */
void JtagEnable(void);
void JtagDisable(void);
unsigned long isJtag(void);

#endif /* _JTAG_H */
