var gpio_port=['c', 'c', 'c', 'c', 'e', 'e', 'e', 'e'];
var gpio_pin=[7, 6, 5, 4, 3, 2, 1, 0];
var field_name='';
var field_val='';

function io_init()
{
  io_gpio_update();
  io_adc_update();
}

function io_gpio_update()
{
  var i;

  for (i=0; i<=7; i++)
  {
    io_gpio_name(i);
    io_gpio_get(i);
  }
}

function io_gpio_toggle(n)
{
  scr="toggle_p" + gpio_port[n]+ gpio_pin[n].toString();
  io_run_script(scr);
  // Workaround for slow refresh
  $(name).attr('checked',!$(name).attr('checked'));
  //io_gpio_get(n);
}

function io_gpio_name(n)
{
  field_name='#pin' + n.toString() + '_name';
  field_val='P' +  gpio_port[n] + gpio_pin[n].toString();
  $(field_name).text(field_val.toUpperCase());
}

function io_gpio_get(n)
{
  field_name='#pin' + n.toString() + '_val';
  scr="state_p" + gpio_port[n]+ gpio_pin[n].toString();
  io_get_pin(field_name, scr);
}

function io_adc_update()
{
  var i;

  // ADC updates are slower so do them on a separate loop
  for (i=0; i<=7; i++)
  {
    io_adc_get(i);
  }
}

function io_adc_get(n)
{
  field_name='#adc' + n.toString() + '_val';
  scr="update_adc"+n.toString();
  io_get_pin(field_name, scr);
}

function io_get_pin(name, scr)
{
  var pin = false;

  function pinComplete()
  {
    if (pin.readyState == 4)
    {
      if (pin.status == 200)
      {
        // GPIOs return "ON" or "OFF"
        if (pin.responseText == "ON")
        {
          $(name).attr('checked',true);
        } else if (pin.responseText == "OFF")
        {
          $(name).attr('checked',false);
        // ADCs return a value
        } else
          $(name).text(pin.responseText);
        {
        }
      }
    }
  }

  if (window.XMLHttpRequest)
  {
    pin = new XMLHttpRequest();
  } else if (window.ActiveXObject)
  {
    pin = new ActiveXObject("Microsoft.XMLHTTP");
  }

  if (pin)
  {
    pin.open("GET", "/" + scr + "?id=" + Math.random(), true);
    pin.onreadystatechange = pinComplete;
    pin.send(null);
  }
}

function io_run_script(scr)
{
  var req = false;

  if (window.XMLHttpRequest)
  {
	req = new XMLHttpRequest();
  } else if (window.ActiveXObject)
  {
    req = new ActiveXObject("Microsoft.XMLHTTP");
  }

  if (req )
  {
    req.open("GET", "/" + scr + "?id" + Math.random(), true);
    req.send(null);
  }
}
